<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1_symbol_scanner.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">erpcgen::SymbolScanner Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a1b394122e66eb26f01e4544d87565fd5">addAnnotations</a>(AstNode *childTok, Symbol *symbol)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html#a478a86ebd3a194c9b36898812c15bc61">AstWalker</a>()=default</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html#ae64501f99560846a44989ca8e02283f6">AstWalker</a>(std::string inputFile)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a3169719020d6894ccf41faeb5e829965">checkAnnotationBeforeAdding</a>(AstNode *annotation, Symbol *symbol)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a602281c2326acb2962d8185eb81afd3d">checkIfAnnValueIsIntNumberOrIntType</a>(StructType *structType, Annotation *ann)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a4bee4c48a970f97f90d9e0c9f850b427">containsStructEnumDeclaration</a>(const AstNode *typeNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#acdc6221191a0e32e3c05c2709e38e030">createArrayType</a>(const AstNode *typeNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#af0f9c3c1b78a23f67825ebe583926385">createListType</a>(const AstNode *typeNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a69dc05e5795c93d720febd77a2600819">dataTypeIsAString</a>(DataType *const constDataType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html#a900fc56225d0233158eaa9254a3a18f6">dispatch</a>(AstNode *node)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a82ae6e13565cfd36fc2d77efa94e6fac">enumMemberHasValue</a>(AstNode *enumMember)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#ae54de042f4e6cb0c6882e5a937edba48">getAnnotationValue</a>(AstNode *annotationNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#acde41fe4095aea2af8c986cb58df3ad3">getDataTypeForConst</a>(AstNode *typeNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#aa92bcf3194cca555ec59bc7f5ecc2eb6">getIntExprValue</a>(const AstNode *exprNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a9ac20033318390d892f89e6b979c9cf6">getValueForConst</a>(AstNode *const node, DataType *const constDataType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#aebf449e771d235701c27d9aac189fe8e">getValueFromSymbol</a>(Token &amp;tok)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>handleAnnotation</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleAnnotation</b>(AstNode *node, bottom_up) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a75fb8d494d232ded8886d1b5b0e1f08f">handleBinaryOp</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleBinaryOp</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>handleChildren</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleChildren</b>(AstNode *node, bottom_up) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#ae830b7a91e82c20ba6d84dd128059a58">handleConst</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleConst</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a61eb2d804a00c1a0373ba4909e7463bf">handleEnum</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a9a99b594badeef429803890e2e79b4e4">handleEnum</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#ab80f39db06c9a89257b6360e5f210f35">handleEnumMember</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleEnumMember</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a5637e3a39559293f63e5dae8d28b45e9">handleExpr</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleExpr</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a4166eb7a9c84fbe956d528a98a45aaaa">handleFunction</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a26bf47abf38f4bb466e976d79442c149">handleFunction</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a0f8af1e3b8d1bb5cb4e1320269708a5c">handleInterface</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a483e35f38d98117e0c37c5cfc058214e">handleInterface</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a3355d449482cd4841311695d072bebe7">handleParam</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a66fbe13a924cdf5280cff423f926a0e7">handleParam</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a7374237b17e78f85865648e85679915f">handleProgram</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a89671011fef1fbf253485511eb8d18e4">handleProgram</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#aed8bc41fd838bc0c76ab690b744de4b6">handleStruct</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#ab530229c7d0935649dc1803498ab99ad">handleStruct</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a6ff9c94aa43c9c569afe35af03d731d5">handleStructMember</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleStructMember</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#aaabfbb73f78416689085fc5786cd9dd6">handleType</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#ab79f835b73d89d1714efb68bd93cdf14">handleType</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a9f0b897188b204de9bf710b1218431ec">handleUnaryOp</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>handleUnaryOp</b>(AstNode *node, top_down) (defined in <a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a>)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#af13428f3cef176398b31345eba8649c9">handleUnion</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a67e069763e1a26e2944299be24ae2b7a">handleUnion</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a1555a6538ea9f825d4cc436d7374f556">handleUnionCase</a>(AstNode *node, top_down)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a5d90282f55ff52e9d4d2030ed738ff7b">handleUnionCase</a>(AstNode *node, bottom_up)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a0811489d142af0278b760898446c04bb">lookupDataType</a>(const AstNode *typeNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a9a55751bcc2aa95ba7b4612546e64008">lookupDataTypeByName</a>(const Token &amp;tok, SymbolScope *scope, bool recursive=true)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a0a1ec6e5b5fe8c8ff87ff309cdbe7d06">m_currentAlias</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#aedf72c7d898a4da847f93fa8eaf5d5a2">m_currentEnum</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a7ba110a90837cd80bdb2b953ed897653">m_currentInterface</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#acc5d03d6bc58fb5de9722d8aa869585c">m_currentProgram</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a0adea2a4721662bb19935a6471a85587">m_currentStruct</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a644fd81c950549868ac71556d5107ff8">m_currentUnion</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a1ae5446ab7d2298aa7316a06f495e179">m_emptyUnionCases</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html#abb18b1e2ae8a82550d0c073927cea0f5">m_fileName</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a8939c9306c0bff547ab848bc7a8e3f0d">m_globals</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#afd837f1e7401fe426b8f7153778428ab">m_isNewInterface</a></td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a97aaea9edc087a622eabbae8645b560c">rhsIsAnExpression</a>(AstNode *rhs)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a7e2a3b76e119d313a281a535da35fd1b">rhsIsAStringLiteral</a>(AstNode *rhs)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a9d55088b476045fdb3e2518ba0d5f225">scanStructForAnnotations</a>(StructType *structType)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a2aa6a9af2a661c16316186b4412f69ae">setParameterDirection</a>(StructMember *param, AstNode *directionNode)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a34c988ade06d9265c796dd7147e4b877">SymbolScanner</a>(SymbolScope *globals)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a60718d30940b8eb98a7fbc5cb1fd0172">SymbolScanner</a>(SymbolScope *globals, std::string fileName)</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html#a8b4e46fd87bbb3cfb655fcd4fb8c2c24">walk</a>(AstNode *node)</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html#a044afaa6e4984fb4d161fc13b95ec959">~AstWalker</a>()=default</td><td class="entry"><a class="el" href="classerpcgen_1_1_ast_walker.html">erpcgen::AstWalker</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html#a1992fbce06868cd683ce52a609efa9df">~SymbolScanner</a>()</td><td class="entry"><a class="el" href="classerpcgen_1_1_symbol_scanner.html">erpcgen::SymbolScanner</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
